package cn.newfeifan.mall.module.distri.controller.admin.duser.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.time.LocalDateTime;

import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 推荐用户 Response VO")
@Data
@ExcelIgnoreUnannotated
public class DuserRespVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "23853")
    @ExcelProperty("用户编号")
    private Long id;

    @Schema(description = "团队人员ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "17459")
    @ExcelProperty("团队人员ID")
    private Long userId;

    @Schema(description = "团队人员姓名", requiredMode = Schema.RequiredMode.REQUIRED, example = "李四")
    @ExcelProperty("团队人员姓名")
    private String name;

    @Schema(description = "团队人员手机号码", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("团队人员手机号码")
    private String mobile;

    @Schema(description = "团队人员来源")
    @ExcelProperty("团队人员来源")
    private Integer source;

    @Schema(description = "团队用户当前积分", requiredMode = Schema.RequiredMode.REQUIRED, example = "11037")
    @ExcelProperty("团队用户当前积分")
    private Long integralId;

    @Schema(description = "团队用户当前身价id", example = "22096")
    @ExcelProperty("团队用户当前身价(id)")
    private Long socialStatusId;

    @Schema(description = "团队用户当前身价等级", example = "等级1")
    @ExcelProperty("团队用户当前身价(等级)")
    private String socialStatusLevel;

    @Schema(description = "团队用户当前身价等级名称", example = "白银")
    @ExcelProperty("团队用户当前身价(等级)")
    private String socialStatusLevelName;

    @Schema(description = "团队用户当前点数")
    @ExcelProperty("团队用户当前点数")
    private Long socialStatusPoint;

    @Schema(description = "用户类型", requiredMode = Schema.RequiredMode.REQUIRED, example = "3773")
    @ExcelProperty("用户类型")
    private Long categoryId;
    @Schema(description = "身价距下一级所需点数")
    @ExcelProperty("身价距下一级所需点数")
    private Long socialUpNeed;
    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "直推人总数")
    private Long descendantCount;

    @Schema(description = "左区总数")
    private Long leftCount;

    @Schema(description = "右区总数")
    private Long rightCount;

    @Schema(description = "用户头像")
    private String avatar;

    @Schema(description = "当前红积分")
    private Long redCurrentQuota;

    @Schema(description = "当前黄积分")
    private Long yellowCurrentQuota;

    @Schema(description = "当前绿积分")
    private Long greenCurrentQuota;

    @Schema(description = "用户名")
    private String username;

    @Schema(description = "推荐人用户名")
    private String ancUsername;

    @Schema(description = "左区用户id")
    private Long leftChildId;

    @Schema(description = "右区用户id")
    private Long rightChildId;
}