package cn.newfeifan.mall.module.distri.controller.admin.integral.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 推荐用户积分分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class IntegralPageReqVO extends PageParam {

    @Schema(description = "用户ID", example = "19778")
    private Long userId;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "用户昵称", example = "赵六")
    private String userName;

    @Schema(description = "当前积分")
    private Long redCurrentQuota;

    @Schema(description = "冻结积分")
    private Long freezeQuota;

    @Schema(description = "合赢奖累计获取积分")
    private Long accumulatedQuota;

    @Schema(description = "直推奖累计获取积分")
    private Long ancestorQuota;

    @Schema(description = "幸运奖累计获取积分")
    private Long luckyQuota;

    @Schema(description = "最高可获取积分")
    private Long highQuota;

    @Schema(description = "累计获取的峰值")
    private Long highQuotaTotal;

    @Schema(description = "当前黄积分", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long yellowCurrentQuota;

    @Schema(description = "当前绿积分", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long greenCurrentQuota;


}