package cn.newfeifan.mall.module.distri.controller.admin.integraltopuplog.vo;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.newfeifan.mall.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.newfeifan.mall.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 平台积分充值记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class IntegralTopUpLogPageReqVO extends PageParam {

    @Schema(description = "用户ID", example = "22163")
    private Long userId;

    @Schema(description = "转账凭证附件")
    private String attachment;

    @Schema(description = "积分")
    private Long integralPoints;

    @Schema(description = "实际积分")
    private Long practicalIntegralPoints;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "用户名", example = "赵六")
    private String userName;

}