package cn.newfeifan.mall.module.distri.controller.admin.integraltopuplog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 平台积分充值记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class IntegralTopUpLogRespVO {

    @Schema(description = "充值编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "5725")
    @ExcelProperty("充值编号")
    private Long id;

    @Schema(description = "用户ID", example = "22163")
    @ExcelProperty("用户ID")
    private Long userId;

    @Schema(description = "转账凭证附件")
    @ExcelProperty("转账凭证附件")
    private String attachment;

    @Schema(description = "积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("积分")
    private Long integralPoints;

    @Schema(description = "实际积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("实际积分")
    private Long practicalIntegralPoints;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "用户名", example = "赵六")
    @ExcelProperty("用户名")
    private String userName;

}