package cn.newfeifan.mall.module.distri.controller.admin.integraltopuplog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 平台积分充值记录新增/修改 Request VO")
@Data
public class IntegralTopUpLogSaveReqVO {

    @Schema(description = "充值编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "5725")
    private Long id;

    @Schema(description = "用户ID", example = "22163")
    @NotNull(message = "用户ID不能为空")
    private Long userId;

    @Schema(description = "转账凭证附件")
    private String attachment;

    @Schema(description = "积分", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "积分不能为空")
    private Long integralPoints;

    @Schema(description = "实际积分", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long practicalIntegralPoints;

    @Schema(description = "用户名", example = "赵六")
    @NotNull(message = "用户名不能为空")
    private String userName;

}