package cn.newfeifan.mall.module.distri.controller.admin.ptprofit.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import javax.validation.constraints.*;
@Schema(description = "管理后台 - 平台利润新增/修改 Request VO")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class PtProfitSaveReqVO {

    @Schema(description = "用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "24754")
    private Long id;

    @Schema(description = "平台服务费(毛利下的百分比收益)", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "平台服务费(毛利下的百分比收益)不能为空")
    private Long ptAdd;

    @Schema(description = "平台收益(0.3888 之外的收益)", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "平台收益(0.3888 之外的收益)不能为空")
    private Long ptGrossAdd;

    @Schema(description = "平台总收益", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "平台总收益不能为空")
    private Long ptTotalAdd;

    @Schema(description = "利润", requiredMode = Schema.RequiredMode.REQUIRED)
    @NotNull(message = "利润不能为空")
    private Long profit;

    @Schema(description = "未结算金额", requiredMode = Schema.RequiredMode.REQUIRED, example = "8147")
    @NotNull(message = "未结算金额不能为空")
    private Long settlementPrice;
}