package cn.newfeifan.mall.module.distri.controller.admin.ptprofitlog.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 平台利润记录 Response VO")
@Data
@ExcelIgnoreUnannotated
public class PtProfitLogRespVO {

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "订单Id", example = "26464")
    @ExcelProperty("订单Id")
    private Long orderId;

    @Schema(description = "订单编号")
    @ExcelProperty("订单编号")
    private String orderNo;

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "5931")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "计算百分比模板")
    @ExcelProperty("计算百分比模板")
    private String percentTemplate;

    @Schema(description = "变动的当前可用积分值（可为负数）")
    @ExcelProperty("变动的当前可用积分值（可为负数）")
    private Long amount;

    @Schema(description = "变动后当前可用积分钱包的余额")
    @ExcelProperty("变动后当前可用积分钱包的余额")
    private Long afterAmount;

    @Schema(description = "收益类型 1:平台服务器费 2:平台收益 3用户下单返回毛利额度 4直推人额度 5合赢奖", example = "1")
    @ExcelProperty("收益类型 1:平台服务器费 2:平台收益 3用户下单返回毛利额度 4直推人额度 5合赢奖")
    private Integer profitStatus;

    @Schema(description = "产生积分的用户ID，例如：下订单的用户ID", example = "31502")
    @ExcelProperty("产生积分的用户ID，例如：下订单的用户ID")
    private Long generateUserId;

    private String username;

    private String profitStatusName;
}