package cn.newfeifan.mall.module.distri.controller.admin.sharepath.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 分销用户关系 Response VO")
@Data
@ExcelIgnoreUnannotated
public class SharePathRespVO {

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "头像")
    private String avatar;

    @Schema(description = "身价等级")
    private String socialStatusLevel;

    @Schema(description = "身价等级名称")
    private String socialStatusLevelName;

    @Schema(description = "后代人数")
    private Long descendantsCount;

    @Schema(description = "最高可获取积分(峰值 / 最大值)")
    private Long high_quota;

    //    @Schema(description = "剩余的合赢奖额度 + 待确权直推奖")
    @Schema(description = "分区额度")
    private Long residueSocial;

    @Schema(description = "用户名")
    private String userName;

    @Schema(description = "层级")
    private Integer depth;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "用户电话")
    private String phone;

    @Schema(description = "上级用户id")
    private Long parentId;

    @Schema(description = "左区用户id")
    private Long leftChildId;

    @Schema(description = "右区用户id")
    private Long rightChildId;

    @Schema(description = "推荐人id")
    private Long referrerId;
}