package cn.newfeifan.mall.module.distri.controller.admin.sharepath.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 分销用户关系新增/修改 Request VO")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SharePathSaveReqVO {

    @Schema(description = "层级")
    private Integer depth;

    @Schema(description = "id", requiredMode = Schema.RequiredMode.REQUIRED, example = "12537")
    private Long id;

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "用户名")
    private String userName;

    @Schema(description = "用户电话")
    private String phone;

    @Schema(description = "上级用户id")
    private Long parentId;

    @Schema(description = "左区用户id")
    private Long leftChildId;

    @Schema(description = "右区用户id")
    private Long rightChildId;

    @Schema(description = "推荐人id")
    private Long referrerId;
}