package cn.newfeifan.mall.module.distri.dal.dataobject.sharepath;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.newfeifan.mall.framework.mybatis.core.dataobject.BaseDO;

/**
 * 分销用户关系 DO
 *
 * @author 非繁人
 */
@TableName("distri_share_path")
@KeySequence("distri_share_path_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SharePathDO extends BaseDO {

    /**
     * 层级
     */
    private Integer depth;
    /**
     * id
     */
    @TableId
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 直推人
     */
    private String userName;
    /**
     * 手机号
     */
    private String phone;
    /**
     * 上级id
     */
    private Long parentId;
    /**
     * 左区用户id
     */
    private Long leftChildId;
    /**
     * 右区用户id
     */
    private Long rightChildId;
    /**
     * 推荐人id
     */
    private Long referrerId;
}