package cn.newfeifan.mall.module.distri.service.integraltopuplog;

import java.util.*;
import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.integraltopuplog.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.integraltopuplog.IntegralTopUpLogDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 平台消费分充值记录 Service 接口
 *
 * @author 非繁人
 */
public interface IntegralTopUpLogService {

    /**
     * 创建平台消费分充值记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createConsumptionTopUpLog(@Valid IntegralTopUpLogSaveReqVO createReqVO);

    /**
     * 更新平台消费分充值记录
     *
     * @param updateReqVO 更新信息
     */
    void updateConsumptionTopUpLog(@Valid IntegralTopUpLogSaveReqVO updateReqVO);


    /**
     * 获得平台消费分充值记录
     *
     * @param id 编号
     * @return 平台消费分充值记录
     */
    IntegralTopUpLogDO getConsumptionTopUpLog(Long id);

    /**
     * 获得平台消费分充值记录分页
     *
     * @param pageReqVO 分页查询
     * @return 平台消费分充值记录分页
     */
    PageResult<IntegralTopUpLogDO> getConsumptionTopUpLogPage(IntegralTopUpLogPageReqVO pageReqVO);

    /**
     * 是否是第一次充值消费分
     *
     * @param userId 用户编号
     * @return 是否是第一次充值消费分
     */
    IntegralInfoVO isFirstConsumption(Long userId);

    /**
     * 获取所有的充值记录
     * @return 充值记录
     */
    List<IntegralTopUpLogDO> selectList();

    /**
     * 获取平台充值记录和用户充值记录
     * @return 充值记录总和
     */
    PtTopUpWithUserTopUpRespVO ptTopUpWithUserTopUpList();
}