package cn.newfeifan.mall.module.distri.service.integraltransferlog;

import java.util.*;
import javax.validation.*;
import cn.newfeifan.mall.module.distri.controller.admin.integraltransferlog.vo.*;
import cn.newfeifan.mall.module.distri.dal.dataobject.integraltransferlog.IntegralTransferLogDO;
import cn.newfeifan.mall.framework.common.pojo.PageResult;

/**
 * 消费分转让记录 Service 接口
 *
 * @author 非繁人
 */
public interface IntegralTransferLogService {

    /**
     * 创建消费分转让记录
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createConsumptionTransferLog(@Valid IntegralTransferLogSaveReqVO createReqVO);

    /**
     * 更新消费分转让记录
     *
     * @param updateReqVO 更新信息
     */
    void updateConsumptionTransferLog(@Valid IntegralTransferLogSaveReqVO updateReqVO);

    /**
     * 删除消费分转让记录
     *
     * @param id 编号
     */
    void deleteConsumptionTransferLog(Long id);

    /**
     * 获得消费分转让记录
     *
     * @param id 编号
     * @return 消费分转让记录
     */
    IntegralTransferLogDO getConsumptionTransferLog(Long id);

    /**
     * 获得消费分转让记录分页
     *
     * @param pageReqVO 分页查询
     * @return 消费分转让记录分页
     */
    PageResult<IntegralTransferLogDO> getConsumptionTransferLogPage(IntegralTransferLogPageReqVO pageReqVO);

    /**
     * 获取转让记录
     * @return 转让记录
     */
    List<IntegralTransferLogDO> selectList();
}